Update Collection Metadata
curl --request PATCH \
--url https://api.inprocess.world/api/collections/{network}/{contract} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"newCollectionName": "<string>",
"newUri": "<string>"
}
'import requests
url = "https://api.inprocess.world/api/collections/{network}/{contract}"
payload = {
"newCollectionName": "<string>",
"newUri": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({newCollectionName: '<string>', newUri: '<string>'})
};
fetch('https://api.inprocess.world/api/collections/{network}/{contract}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"hash": "<string>",
"chainId": 123
}{
"status": "error",
"message": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
]
}{
"status": "error",
"message": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
]
}{
"status": "error",
"message": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
]
}Collections
Update Collection Metadata
Update the metadata (name and URI) of an existing Collection on the In•Process protocol.
Uses CAIP-2 for the network segment and a CAIP-style asset reference for the contract segment:
network:eip155:{chainId}(e.g.eip155:8453for Base)contract:erc1155:{address}(e.g.erc1155:0xabc...)
Note: Only Collection admins can update the metadata.
PATCH
/
collections
/
{network}
/
{contract}
Update Collection Metadata
Authorizations
Artist API key for authentication. Get your API key from https://inprocess.world/manage/api-keys
Path Parameters
CAIP-2 chain reference in the format eip155:{chainId} (e.g. eip155:8453 for Base mainnet)
Example:
"eip155:8453"
CAIP-style asset reference in the format erc1155:{address} (e.g. erc1155:0xabc...)
Example:
"erc1155:0x1234567890abcdef1234567890abcdef12345678"
Body
application/json